tigase.cluster

## Class ClusterConnectionSelector

- java.lang.Object
- - tigase.cluster.ClusterConnectionSelector

- All Implemented Interfaces:
    ClusterConnectionSelectorIfc

      @Bean(name="clusterConnectionSelector",
            parent=ClusterConnectionManager.class,
            active=true)
      public class ClusterConnectionSelector
      extends Object
      implements ClusterConnectionSelectorIfc

  Advanced implementation of ClusterConnectionSelectorIfc which separates packets with priority CLUSTER or higher from other packets in cluster connections by using separate connections for them
  Author:
    andrzej

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `CLUSTER_SYS_CONNECTIONS_PER_NODE_PROP_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterConnectionSelector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMPPIOService<Object>` | `selectConnection(Packet p, ClusterConnection conn)` Method returns XMPPIOService instances which should be used to send packet between cluster nodes
    `void` | `setClusterConnectionHandler(ClusterConnectionHandler handler)`
    `void` | `setProperties(Map<String,Object> props)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLUSTER_SYS_CONNECTIONS_PER_NODE_PROP_KEY

          protected static final String CLUSTER_SYS_CONNECTIONS_PER_NODE_PROP_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClusterConnectionSelector

          public ClusterConnectionSelector()

  - ### Method Detail

    - #### selectConnection

          public XMPPIOService<Object> selectConnection(Packet p,
                                                        ClusterConnection conn)

      Description copied from interface: `ClusterConnectionSelectorIfc`
      Method returns XMPPIOService instances which should be used to send packet between cluster nodes
      Specified by:
        `selectConnection` in interface `ClusterConnectionSelectorIfc`

    - #### setClusterConnectionHandler

          public void setClusterConnectionHandler(ClusterConnectionHandler handler)

      Specified by:
        `setClusterConnectionHandler` in interface `ClusterConnectionSelectorIfc`

    - #### setProperties

          public void setProperties(Map<String,Object> props)

      Specified by:
        `setProperties` in interface `ClusterConnectionSelectorIfc`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.